Bug 675090 - (CVE-2011-0055) CVE-2011-0055 Mozilla use-after-free error in JSON.stringify (MFSA2011-03)
CVE-2011-0055 Mozilla use-after-free error in JSON.stringify (MFSA2011-03)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
public=20110301,reported=20110204,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-04 04:18 EST by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 06:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 17:36:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2011-02-04 04:18:53 EST
Security researcher regenrecht reported via TippingPoint's Zero Day 
Initiative that a method used by JSON.stringify contained a 
use-after-free error in which a currently in-use pointer was freed 
and subsequently dereferenced. 
This could lead to arbitrary code execution if an attacker was able 
to store malicious code in the freed section of memory.

Mozilla developer Igor Bukanov also independently discovered and 
reported this issue two weeks after the initial report was received.
Comment 1 Vincent Danen 2011-03-01 18:19:21 EST
This is now public:

http://www.mozilla.org/security/announce/2011/mfsa2011-03.html
Comment 2 errata-xmlrpc 2011-03-01 20:10:04 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0310 https://rhn.redhat.com/errata/RHSA-2011-0310.html

Note You need to log in before you can comment on or make changes to this bug.